TreeReaderFactory (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class TreeReaderFactory

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory

- Direct Known Subclasses:
    ConvertTreeReaderFactory

      public class TreeReaderFactory
      extends Object

  Factory for creating ORC tree readers.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TreeReaderFactory.BinaryTreeReader`
    `static class` | `TreeReaderFactory.BooleanTreeReader`
    `static class` | `TreeReaderFactory.BytesColumnVectorUtil`
    `static class` | `TreeReaderFactory.ByteTreeReader`
    `static class` | `TreeReaderFactory.CharTreeReader`
    `static interface` | `TreeReaderFactory.Context`
    `static class` | `TreeReaderFactory.DateTreeReader`
    `static class` | `TreeReaderFactory.Decimal64TreeReader`
    `static class` | `TreeReaderFactory.DecimalTreeReader`
    `static class` | `TreeReaderFactory.DoubleTreeReader`
    `static class` | `TreeReaderFactory.FloatTreeReader`
    `static class` | `TreeReaderFactory.IntTreeReader`
    `static class` | `TreeReaderFactory.ListTreeReader`
    `static class` | `TreeReaderFactory.LongTreeReader`
    `static class` | `TreeReaderFactory.MapTreeReader`
    `static class` | `TreeReaderFactory.NullTreeReader`
    `static class` | `TreeReaderFactory.ReaderContext`
    `static class` | `TreeReaderFactory.ShortTreeReader`
    `static class` | `TreeReaderFactory.StringDictionaryTreeReader` A reader for string columns that are dictionary encoded in the current stripe.
    `static class` | `TreeReaderFactory.StringDirectTreeReader` A reader for string columns that are direct encoded in the current stripe.
    `static class` | `TreeReaderFactory.StringTreeReader` A tree reader that will read string columns.
    `static class` | `TreeReaderFactory.StructTreeReader`
    `static class` | `TreeReaderFactory.TimestampTreeReader`
    `static class` | `TreeReaderFactory.TreeReader`
    `static class` | `TreeReaderFactory.UnionTreeReader`
    `static class` | `TreeReaderFactory.VarcharTreeReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeReaderFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TreeReaderFactory.TreeReader` | `createTreeReader(TypeDescription readerType, TreeReaderFactory.Context context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeReaderFactory

          public TreeReaderFactory()

  - ### Method Detail

    - #### createTreeReader

          public static TreeReaderFactory.TreeReader createTreeReader(TypeDescription readerType,
                                                                      TreeReaderFactory.Context context)
                                                               throws IOException

      Throws:
        `IOException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.